| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::_ArrayImp< TYP > Class Template Reference

`#include <NTupleItems.h>`

Inheritance diagram for NTuple::_ArrayImp< TYP >:

[legend]
Collaboration diagram for NTuple::_ArrayImp< TYP >:

[legend]
List of all members.

## Detailed Description

### template<class TYP>
class NTuple::_ArrayImp< TYP >

Concrete class discribing a column-array in a N tuple.

Definition at line 183 of file NTupleItems.h.

## Public Types
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy.
## Public Member Functions
| _ArrayImp (INTuple *tup, const std::string &name, const std::type_info &typ, const std::string &index, long len, TYP min, TYP max, TYP def)
| Standard Constructor.
virtual | ~_ArrayImp ()
| Standard Destructor.
virtual void | setDefault (const TYP val)
| Set default value.
virtual const ItemRange & | range () const
| Access the range if specified.
virtual long | size () const
| Size of entire object.
virtual long | ndim () const
| Dimension.
virtual long | dim (long i) const
| Access individual dimensions.

## Member Typedef Documentation

template<class TYP>

typedef Range<TYP> NTuple::_ArrayImp< TYP >::ItemRange

Set type definition to make life more easy easy.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 187 of file NTupleItems.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::_ArrayImp< TYP >::_ArrayImp | ( | INTuple * | tup,
|  | const std::string & | name,
|  | const std::type_info & | typ,
|  | const std::string & | index,
|  | long | len,
|  | TYP | min,
|  | TYP | max,
|  | TYP | def |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 189 of file NTupleItems.h.

    00190     : _DataImp<TYP>(tup, name, typ, index, len, min, max, def)    {                }

template<class TYP>

virtual NTuple::_ArrayImp< TYP >::~_ArrayImp | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 192 of file NTupleItems.h.

    00192 {                                     }

## Member Function Documentation

template<class TYP>

virtual void NTuple::_ArrayImp< TYP >::setDefault | ( | const TYP | val | ) | `[inline, virtual]`

Set default value.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 196 of file NTupleItems.h.

References NTuple::_DataImp< TYP >::m_def.

    00196 { this->m_def = val;                  }

template<class TYP>

virtual const ItemRange& NTuple::_ArrayImp< TYP >::range | ( |  | ) | const`[inline, virtual]`

Access the range if specified.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 198 of file NTupleItems.h.

References NTuple::_DataImp< TYP >::m_range.

    00198 { return this->m_range;               }

template<class TYP>

virtual long NTuple::_ArrayImp< TYP >::size | ( |  | ) | const`[inline, virtual]`

Size of entire object.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 200 of file NTupleItems.h.

References NTuple::_DataImp< TYP >::m_length.

    00200 { return this->m_length*sizeof(TYP);  }

template<class TYP>

virtual long NTuple::_ArrayImp< TYP >::ndim | ( |  | ) | const`[inline, virtual]`

Dimension.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 202 of file NTupleItems.h.

    00202 { return 1;                     }

template<class TYP>

virtual long NTuple::_ArrayImp< TYP >::dim | ( | long | i | ) | const`[inline, virtual]`

Access individual dimensions.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 204 of file NTupleItems.h.

    00204                                    {
    00205       return (i!=0 || this->hasIndex()) ? 0 : this->m_length;
    00206     }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTupleItems.h